Package org.apache.storm.topology.base

# Class BaseRichBolt

java.lang.Object
org.apache.storm.topology.base.BaseComponent
org.apache.storm.topology.base.BaseRichBolt

All Implemented Interfaces:
  `Serializable`, `IBolt`, `IComponent`, `IRichBolt`

Direct Known Subclasses:
  `AbstractHdfsBolt`, `BaseTickTupleAwareRichBolt`, `DevNullBolt`, `ExclamationTopology.ExclamationBolt`, `ExclamationTopology.ExclamationBolt`, `GenericBolt`, `HdfsFileTopology.MyBolt`, `HdfsSpoutTopology.ConstBolt`, `IdBolt`, `IdentityBolt`, `JoinResult`, `KafkaSpoutTestBolt`, `LoadBolt`, `LookupWordCount.PrintWordTotalCountBolt`, `MultipleLoggerTopology.ExclamationLoggingBolt`, `ResourceAwareExampleTopology.ExclamationBolt`, `ReturnResults`, `RollingCountAggBolt`, `RollingCountBolt`, `SequenceFileTopology.MyBolt`, `SingleJoinBolt`, `SocketBolt`, `TestAggregatesCounter`, `TestEventOrderCheckBolt`, `TestGlobalCount`, `TestPlannerBolt`, `WhitelistWordCount.PrintWordTotalCountBolt`

public abstract class BaseRichBolt extends BaseComponent implements IRichBolt

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BaseRichBolt()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `cleanup()`
  Called when an IBolt is going to be shutdown.

  ### Methods inherited from class org.apache.storm.topology.base.BaseComponent

  `getComponentConfiguration`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.apache.storm.task.IBolt

  `execute, prepare`

  ### Methods inherited from interface org.apache.storm.topology.IComponent

  `declareOutputFields, getComponentConfiguration`

- ## Constructor Details

  - ### BaseRichBolt

    public BaseRichBolt()

- ## Method Details

  - ### cleanup

    public void cleanup()
    Description copied from interface: `IBolt`
    Called when an IBolt is going to be shutdown. Storm will make a best-effort attempt to call this if the worker shutdown is orderly. The `Config.SUPERVISOR_WORKER_SHUTDOWN_SLEEP_SECS` setting controls how long orderly shutdown is allowed to take. There is no guarantee that cleanup will be called if shutdown is not orderly, or if the shutdown exceeds the time limit.

    The one context where cleanup is guaranteed to be called is when a topology is killed when running Storm in local mode.

    Specified by:
      `cleanup` in interface `IBolt`